Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.util
Class TimeSeriesLabelGenerator

    java.lang.Object
      org.jfree.chart.labels.AbstractXYItemLabelGenerator
          org.jfree.chart.labels.StandardXYItemLabelGenerator
              net.sf.jasperreports.charts.util.TimeSeriesLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.labels.XYItemLabelGenerator, org.jfree.util.PublicCloneable

    public class TimeSeriesLabelGenerator

extends org.jfree.chart.labels.StandardXYItemLabelGenerator

Version:
  $Id: TimeSeriesLabelGenerator.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.labels.StandardXYItemLabelGenerator
`DEFAULT_ITEM_LABEL_FORMAT`

Constructor Summary
`TimeSeriesLabelGenerator(java.util.Map labelsMap)`

Method Summary
`java.lang.String` | `generateLabel(org.jfree.data.xy.XYDataset dataset, int series, int item)`

Methods inherited from class org.jfree.chart.labels.StandardXYItemLabelGenerator
`clone, equals`

Methods inherited from class org.jfree.chart.labels.AbstractXYItemLabelGenerator
`createItemArray, generateLabelString, getFormatString, getNullYString, getXDateFormat, getXFormat, getYDateFormat, getYFormat, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesLabelGenerator

    public TimeSeriesLabelGenerator(java.util.Map labelsMap)

Method Detail

### generateLabel

    public java.lang.String generateLabel(org.jfree.data.xy.XYDataset dataset,
                                          int series,
                                          int item)

  Specified by:
    `generateLabel` in interface `org.jfree.chart.labels.XYItemLabelGenerator`
  Overrides:
    `generateLabel` in class `org.jfree.chart.labels.StandardXYItemLabelGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com